apiVersion: argoproj.io/v1alpha1
kind: Rollout
metadata:
  labels:
    app: demo-app
    version: "${CIRCLE_SHA1_SHORT}"
  annotations:
    circleci.com/cancel-release-enabled: "true"
    circleci.com/job-number: "${CIRCLE_BUILD_NUM}"
    circleci.com/pipeline-id: ${PIPELINE_ID}
    circleci.com/project-id: 775531fd-7f01-4c74-8570-08cc0131ca00
    circleci.com/promote-release-enabled: "true"
    circleci.com/restart-component-enabled: "true"
    circleci.com/restore-version-enabled: "true"
    circleci.com/retry-release-enabled: "true"
    circleci.com/scale-component-enabled: "true"
    circleci.com/workflow-id: ${CIRCLE_WORKFLOW_ID}
  name: demo-app
  namespace: default
spec:
  replicas: 4
  strategy:
    canary:
      steps:
      - setWeight: 50
      - pause: {}
  selector:
    matchLabels:
      app: demo-app
  template:
    metadata:
      labels:
        app: demo-app
        version: "${CIRCLE_SHA1_SHORT}"
    spec:
      containers:
        - image: 660990364978.dkr.ecr.ap-northeast-1.amazonaws.com/tadashi-demo-release-eks-app:$CIRCLE_SHA1
          name: demo-app
          ports:
            - containerPort: 3000
